Comment on Introducing the Kite 3 mobile app

Raj Nair commented on 03 Jul 2019, 02:30 AM

It says ” Device not compatible” I am running Android 4.2.2 after getting latest updates.
Please make sure you don’t remove the Kite 2.0

View the full comment thread »